(use-modules
  (guix packages)
  ((guix licenses) #:prefix license:)
  (guix download)
  (guix build-system gnu)
  (guix gexp)
  (gnu packages)
  (gnu packages autotools)
  (gnu packages gettext)
  (gnu packages guile)
  (gnu packages guile-xyz)
  (gnu packages pkg-config)
  (gnu packages texinfo)
  (gnu packages package-management)
  (srfi srfi-1))

(package
  (name "guile-librefinder")
  (version "0.1")
  (source
  (origin
       (method url-fetch)
       (uri (string-append
	     "https://wurtshell.com/guile-librefinder/releases/guile-librefinder-"
	     version ".tar.gz"))
       (sha256
        (base32
	 "0l0g9i9l8lgbmnsw1x72nzgah89ikb0diq5nwraxr5vigrm1sjpz"))))
  (build-system gnu-build-system)
  (arguments `())
  (native-inputs
    `(("autoconf" ,autoconf)
      ("automake" ,automake)
      ("guix" ,guix)
      ("gnu-gettext" ,gnu-gettext)
      ("pkg-config" ,pkg-config)
      ("texinfo" ,texinfo)
      ("po4a" ,po4a)))
  (inputs `(("guile" ,guile-3.0)
	    ("guile-srfi-180" ,guile-srfi-180)))
  (propagated-inputs `())
  (synopsis "")
  (description "")
  (home-page "https://librefinder.wurtshell.com")
  (license license:agpl3+))

